#ifndef __SYNTHAPP_H__
#define __SYNTHAPP_H__

#include <mutex>

#include <wx/wxprec.h>
 
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <portaudio.h>
#include <portmidi.h>

#include "synth.h"

class SynthApp : public wxApp {
public:
    PaStream* paStream;
    PmStream* pmStream;
    Synth synth;
    std::mutex synthMutex;

    virtual bool OnInit();
    virtual int OnExit();
};

#endif